Bug 97480 - [Port Update] audio/daapd to 0.2.4b
Summary: [Port Update] audio/daapd to 0.2.4b
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Lars Thegler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-19 05:30 UTC by Gunter Wambaugh
Modified: 2006-10-02 21:40 UTC (History)
0 users

See Also:


Attachments
daapd.patch (10.22 KB, patch)
2006-05-19 05:30 UTC, Gunter Wambaugh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gunter Wambaugh 2006-05-19 05:30:08 UTC
* Update daapd from 0.2.3d to 0.2.4b.
* Use daaplib and libhttp-persistent that comes with the source distriubtion.
    - This fixes some dependency issues with the old port.
    - Makes upgrading easier
    - Does anyone else us the libhttp-persistent and daaplib ports anyway?
* use USE_RC_SUBR correctly
* ensure that PREFIX is respected
    - It previously wasn't.  (i.e., "make PREFIX=/var/tmp/daapd install" would still put things in /usr/local)

Submitted this in an email to the maintainer on 5/9 and have not received a response yet.
Comment 1 Edwin Groothuis freebsd_committer 2006-05-19 05:32:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lth

Over to maintainer
Comment 2 Lars Thegler 2006-05-19 11:36:50 UTC
It seems my reply to Gunter was caught in a spamtrap. But thanks for 
send-pr(1)'ing it.

/Lars
Comment 3 Gunter Wambaugh 2006-06-16 23:40:04 UTC
This has been open for over a month now.  Isn't there some sort of  
timeout in place?
Comment 4 Lars Thegler 2006-06-17 16:35:40 UTC
I am trying to work with the submitter on this, but mails are apparently
getting lost.

Gunter, please check your incoming mail setup, or maybe there is an
alternate address that we may use?

/Lars
Comment 5 dfilter service freebsd_committer 2006-10-02 21:30:59 UTC
lth         2006-10-02 20:30:46 UTC

  FreeBSD ports repository

  Modified files:
    audio/daapd          Makefile distinfo pkg-plist 
    audio/daapd/files    patch-README patch-daapd-example.conf 
                         patch-daapd.8 patch-makefile 
    audio/daaplib        Makefile 
    www/libhttpd-persistent Makefile 
  Added files:
    audio/daapd/files    daapd.in 
  Removed files:
    audio/daapd/files    daapd.sh patch-daapd.cc patch-db.cc 
  Log:
  Updating audio/daapd to 0.2.4b. Now requires gcc 3.4+, so does the libraries, due to c++ name mangling.
  
  PR:             based on ports/97480
  Submitted by:   Gunter Wambaugh <gunter@six-two.net>
  
  Revision  Changes    Path
  1.12      +7 -10     ports/audio/daapd/Makefile
  1.7       +3 -3      ports/audio/daapd/distinfo
  1.1       +41 -0     ports/audio/daapd/files/daapd.in (new)
  1.6       +0 -41     ports/audio/daapd/files/daapd.sh (dead)
  1.2       +3 -3      ports/audio/daapd/files/patch-README
  1.2       +3 -3      ports/audio/daapd/files/patch-daapd-example.conf
  1.2       +3 -3      ports/audio/daapd/files/patch-daapd.8
  1.2       +0 -22     ports/audio/daapd/files/patch-daapd.cc (dead)
  1.2       +0 -11     ports/audio/daapd/files/patch-db.cc (dead)
  1.5       +17 -18    ports/audio/daapd/files/patch-makefile
  1.5       +1 -2      ports/audio/daapd/pkg-plist
  1.5       +8 -4      ports/audio/daaplib/Makefile
  1.7       +3 -1      ports/www/libhttpd-persistent/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Lars Thegler freebsd_committer 2006-10-02 21:31:35 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!